package com.ruoyi.project.patrol.emergency.mapper;

import java.util.List;
import com.ruoyi.project.patrol.emergency.domain.TEmergencyPaga;

/**
 * PAGA系统Mapper接口
 * 
 * @author admin
 * @date 2023-11-02
 */
public interface TEmergencyPagaMapper 
{
    /**
     * 查询PAGA系统
     * 
     * @param id PAGA系统主键
     * @return PAGA系统
     */
    public TEmergencyPaga selectTEmergencyPagaById(Long id);

    /**
     * 查询PAGA系统列表
     * 
     * @param tEmergencyPaga PAGA系统
     * @return PAGA系统集合
     */
    public List<TEmergencyPaga> selectTEmergencyPagaList(TEmergencyPaga tEmergencyPaga);

    /**
     * 新增PAGA系统
     * 
     * @param tEmergencyPaga PAGA系统
     * @return 结果
     */
    public int insertTEmergencyPaga(TEmergencyPaga tEmergencyPaga);

    /**
     * 修改PAGA系统
     * 
     * @param tEmergencyPaga PAGA系统
     * @return 结果
     */
    public int updateTEmergencyPaga(TEmergencyPaga tEmergencyPaga);

    /**
     * 删除PAGA系统
     * 
     * @param id PAGA系统主键
     * @return 结果
     */
    public int deleteTEmergencyPagaById(Long id);

    /**
     * 批量删除PAGA系统
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTEmergencyPagaByIds(Long[] ids);
}
